<?

 /*****************************************************************************
 * Filename: include/modules/configLayout.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Module_configLayout extends Module
 {
  function init(&$data)
  {
   global $_path;

   Module::init($data);

   $this->data->title=$this->data->l->t("Layout configuration");

   $this->data->addField("nr", "nr", "sql;form", "identifier;hidden");
   $this->data->addField("userrights", "rights", "", "allusers", 0, false, 256); //view rights for all
   $this->data->addField("faketitle", "text", "show", "title;hidden", 0, false, $this->data->title, "Title");

   $this->data->addField("description", "text", "all", "", 0, 255, "", "Meta description", "Used to fill the description meta tag");
   $this->data->addField("keywords", "text", "all", "", 0, 255, "", "Meta keywords", "Comma separated list of words for the keywords meta tag");

   $this->data->addField("footer", "boolean", "all", "", false, false, false, "Show footer", "Shows additional info as the footer of the page");
  }

  function viewPostGet()
  {
   for($c=0;$c<$this->data->vmax;$c++)
    $this->data->setValue("faketitle", $this->data->title, $c);

   return true;
  }

 }

?>
