<?

 /*****************************************************************************
 * Filename: include/modules/images.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Module_images extends Module
 {
  function init(&$data)
  {
   Module::init($data);

   $this->data->title=$this->data->l->t("Image");
   $this->data->addField("title", "text", "all", "title", 1, 25, false, "Title");
   $this->data->addField("file", "image", "all", false, 5, 1024*1024*10, false, "Image"); 

   $this->data->defaultFields();

   $this->data->sortOrder("title");
  }

 }
?>
