<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/modules/mutilate.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class unit_testing_mutilate extends Module
 {
  function init(&$data)
  {
   global $_path;

   parent::init($data);

   $this->data->title=$this->data->l->t("Unit testing mutilation");

   $this->data->defaultFields();

   $this->data->addField("name", "text", "all", "title", 0, 25, false, "Name");

   $this->data->addField("date", "date", "sql;show", "forceUpdate", false, false, "now");
   $this->data->addField("time", "time", "sql;show", "forceUpdate", false, false, "now");
   $this->data->addField("datetime", "datetime", "sql;show", "forceUpdate", false, false, "now");

   $this->data->addField("email", "email", "sql;show", "", false, false, false);
   $this->data->addField("html", "html", "sql;show", "", false, false, false);
   $this->data->addField("url", "url", "sql;show", "", false, false, false);
   
   $this->data->addField("array", "array", "sql;show", "", false, false, false);

   $this->data->sortOrder("name");
  }
 }
?>
