<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/modules/pluginInfo.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class unit_testing_pluginInfo extends Module
 {
  function init(&$data)
  {
   parent::init($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title=$this->data->l->t("Unit testing plugin information");

   $this->data->addField("list_units_template", "localfile", "all", false, 1, 255, "list_units.html", "List units template");

   $this->data->addField("list_tests_template", "localfile", "all", false, 1, 255, "list_tests.html", "List tests template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("list_units_template", $_path["plugins"]."unit_testing/templates/");
   $this->data->setFileExtensions("list_units_template", "html", "htm");

   $this->data->setFileDir("list_tests_template", $_path["plugins"]."unit_testing/templates/");
   $this->data->setFileExtensions("list_tests_template", "html", "htm");

   return true;
  }
 }
?>
