<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/ut/archive.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["plugins"]."unit_testing/ut/core.php");
 require_once($_path["include"]."archive.php");

 class UT_Archive extends UT_Classes
 {
  function Constructor()
  {
   $object=new Archive();

   if(!is_object($object)||get_class($object)!="Archive")
   {
    $this->e->add("Constructor doesn't return a Archive object", "error");
    return UT_FAILED;
   }

   if(!is_object($object->e)||get_class($object->e)!="Error")
   {
    $this->e->add("Object: \"e\" isn't an Error object", "error");
    return UT_FAILED;
   }

   return UT_OK;
  }


 }

?>
