<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/ut/cms.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["plugins"]."unit_testing/ut/core.php");
 require_once($_path["include"]."cms.php");

 class UT_CMS extends UT_Classes
 {
  function Constructor()
  {
   $object=new CMS();

   if(!is_object($object)||get_class($object)!="CMS")
   {
    $this->e->add("Constructor doesn't return a CMS object", "error");
    return UT_FAILED;
   }

   if(!is_object($object->e)||get_class($object->e)!="Error")
   {
    $this->e->add("Object: \"e\" isn't an Error object", "error");
    return UT_FAILED;
   }

   //config merge
   $object=new CMS(Array("showTitles" => false, "showFields" => false));

   if($object->config["showTitles"])
   {
    $this->e->add("CMS shouldn't show titles");
    return UT_FAILED;
   }

   if($object->config["showFields"])
   {
    $this->e->add("CMS shouldn't show fields");
    return UT_FAILED;
   }

   return UT_OK;
  }


 }

?>
