<?

 /*****************************************************************************
 * Filename: include/storage/stub.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."storage/storage.php");

 class stubStorage extends Storage 
 {
  function stubStorage(&$d)
  {
   global $_path;

   parent::Storage($d, "stub");
   $logging=$this->e->logging;
   $this->e->logging="none";

   $this->clear();

   $this->e->logging=$logging;
  }

  function table(){$this->e->add("Storage function: \"table\" stub", "note"); return true;}
  function get(){$this->e->add("Storage function: \"get\" stub", "note"); return true;}
  function add(){$this->e->add("Storage function: \"add\" stub", "note"); return true;}
  function edit(){$this->e->add("Storage function: \"edit\" stub", "note"); return true;}
  function delete(){$this->e->add("Storage function: \"delete\" stub", "note"); return true;}
  function create(){$this->e->add("Storage function: \"create\" stub", "note"); return true;}
  function alter(){$this->e->add("Storage function: \"alter\" stub", "note"); return true;}

 }
?>
