<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/about/info/main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_jasPath["include"]."jas.php");
?>
 <h1><?="JAS v".JAS::version().(JAS::version("status")?" ".JAS::version("status"):"").(JAS::version("development")?"*":"")?></h1>
 <?=$lang->t("For more information please visit the JAS Website: ")?><a href="<?=JAS::URL()?>" title="JAS Website" rel="external"><?=JAS::URL()?></a><br/><br/>

 <div class="license" style="width: 50%; float: left;">
  <h2><?=$lang->t("License")?></h2>
  <?=JAS::license(true)?>
  <h3><?=$lang->t("The GNU/GPL license (version 3)")?></h3>
  <br/><?=JAS::license(true, "GPL")?><br/>
  <h3><?=$lang->t("The GNU/LGPL license (version 3)")?></h3>
  <br/><?=JAS::license(true, "LGPL")?><br/>
 </div>

 <div class="changelog" style="width: 50%; float: left;">
  <h2><?=$lang->t("Changelog")?></h2>
  <?=JAS::changelog(true)?>
 </div>

