<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/data/chown/control.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_jasPath["include"]."form.php");
 require_once($_jasPath["include"]."data.php");
 require($_jasPath["project"]["include"]."switch.php"); //currentProject

 $f=new Form();
 $moduleTypes=Array("Plugins", "Project", "System");
?>
 <h3><?=$lang->t("Modules")?></h3>
 <div class="text">
<?
  if(!($m=request("m")))
   $m="categories";

  print $f->start()."\n";

  if(!$_useModRewrite)
  {
   print $f->input("hidden", "p[]", $_page[0]);
   print $f->input("hidden", "p[]", $_page[1]);
  }

  $options=Array();
  $modules=Array();
  foreach($moduleTypes as $type)
  {
   $options[$type]=Array();
   foreach(modules(strtolower($type)) as $module)
   {
    if(!in_array($module, $modules))
    {
     $d=Data::cache($module, "owner", "all", Array("skipCheckTables" => true, "skipSetRequest" => true, "skipPostInit" => true));

     if(!$d->e->any("fatal")&&$d->tableExists())
     {
      $modules[]=$d->module;

      if($d->plugin)
       $title=$d->title.=" - ".$d->plugin->name;
      else
       $title=$d->title;

      $options[$type][]=$f->selectOption($d->module, $title, ($m==$d->module?"selected":false));
     }
    }
   }
  }

  if($modules)
  {
   print $f->selectStart(false, "m", "form", false, "onchange=\"this.form.submit();\"")."\n";

   foreach($moduleTypes as $type)
   {
    if($options[$type])
    {
     print $f->selectOption("", "");
     print $f->selectOption("", " - ".$lang->t($type));
     print implode("\n", $options[$type]);
    }
   }

   print $f->selectEnd()."\n";
  }
  else
   print $lang->t("No active modules with owner support found");

  print $f->end()."\n";
 ?>
 </div>
 <div class="footer">&nbsp; </div>
 <?
 unset($f, $m, $moduleTypes, $modules, $module, $type, $title);

 require($_jasPath["project"]["include"]."switch.php"); //default
?>
