<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/data/chown/main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_jasPath["include"]."form.php"); 
require_once($_jasPath["include"]."data.php"); 

 require($_jasPath["project"]["include"]."switch.php"); //currentProject

 if($e->any())
  print $e->show();

 $requestVar="chown";

 if(!($module=request("m")))
  $module="categories";

 $d=Data::cache($module, "view", "all");

 $f_id=$d->getID();
 $f_refer=$d->getSelfReference();
 $tmp=$d->check("properties", "title");
 $f_title=$tmp[0];

 $tmp=$d->check("properties", "owner");
 if(!isset($tmp[0])) //no owner field
  $d->e->add("No owner field");
 else 
  $f_owner=$tmp[0];
 
 unset($tmp);

 if(isset($_REQUEST["s"]))
 {
  $dr=new Data(false, $f_owner, "item", Array("format" => "form", "request" => $requestVar));
  $id=$dr->getID();

  if(!isset($_REQUEST[$requestVar])||!is_array($_REQUEST[$requestVar]))
   $dr->e->add("Nothing submitted"); 
  else if(!isset($_REQUEST[$requestVar][$f_owner])||!is_numeric($_REQUEST[$requestVar][$f_owner]))
   $dr->e->add("No new owner selected"); 
  else if(!isset($_REQUEST[$requestVar][$id])||!is_array($_REQUEST[$requestVar][$id]))
   $dr->e->add("No ".$dr->title." selected"); 
  else
  {
   foreach(array_keys($_REQUEST[$requestVar][$id]) as $k)
    $dr->setValue($f_owner, $_REQUEST[$requestVar][$f_owner], $k);

   $dr->submit();
  }

  if($dr->e->any("fatal"))
   print $dr->e->show();
  else if($dr->e->any("note"))
  {
   $dr->e->clear();
   $dr->e->add($dr->title." owner changed", "note");

   print $dr->e->show("note");
  }

  unset($dr, $k);
 }

 if($d->e->any("fatal"))
  print $d->e->show("fatal");
 else
 {
  if(isset($_REQUEST[$requestVar][$f_owner])&&is_numeric($_REQUEST[$requestVar][$f_owner]))
   $owner=$_REQUEST[$requestVar][$f_owner];
  else
   $owner=$_config["usernr"];


  if($f_refer) //self reference, get tree
  {
   $d->setAction("tree");
   $d->setExtra("down");

   $d->setValue($f_refer, 0);
   $d->setShowFields($f_id, $f_owner, $f_refer, "treedepth", $f_title);
  }
  else
   $d->setShowFields($f_id, $f_owner, $f_title);


  $du=Data::cache($_config["usermodule"], "view", "all");

  if(!$d->get())
   print $d->e->show("show");
  else if(!$du->get())
   print $du->e->show("show");
  else
  {
   $users=Array();
   while($du->next()) 
    $users[$du->v["nr"]]=$du->v("title");

   $f=new Form();
   print $f->start()."\n";
   print $f->input("hidden", "m", $module);

   if(!$_useModRewrite)
   {
    print $f->input("hidden", "p[]", $_page[0]);
    print $f->input("hidden", "p[]", $_page[1]);
   }

 ?>
  <table><tr>
   <td>
 <?
   while($d->next())
   {
    if($f_refer) //selft reference
    {
     if($d->v["treedepth"])
      print str_repeat("&nbsp; &nbsp; ", $d->v["treedepth"]-1)."|_ ";
    }

    if(isset($_REQUEST[$requestVar][$f_id])&&in_array($d->v[$f_id], $_REQUEST[$requestVar][$f_id]))
     $checked=true;
    else
     $checked=false;

    print $f->checkbox($checked, $d->v[$f_title], $requestVar."[".$f_id."][]", $d->v[$f_id])."\n";

    ?> (<div class="hilite"><?=(isset($users[$d->v[$f_owner]])?$users[$d->v[$f_owner]]:$d->v[$f_owner])?></div>)<?

    ?><br/><?
   }
   unset($d, $du);
 ?>
   </td><td>
    <h1><?=$lang->t("Change ownership")?></h1>
    <div class="text">
    <?=$f->dataSelect($_config["usermodule"], $requestVar."[owner]", $owner)?>
    <?=$f->input("submit", "s", $lang->t("Submit"), "submit")?>
    </div>
   </td>
  </tr></table>
 <? 
   print $f->end()."\n";
  }
  unset($f);
 }

 require($_jasPath["project"]["include"]."switch.php"); //default
?>
