<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/plugins/control.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require($_jasPath["project"]["include"]."switch.php"); //currentProject

 if(isset($_pc))
 {
  if($_pc->isEnabled())
  {
   $modules=Array();
   foreach(modules("plugins", $_pc->name) as $m)
    if($m!=$_pc->name."_pluginInfo")
     $modules[$m]=$m;
  }

  ?>
   <h3><?=$_pc->title?></h3>
   <div class="text"><ul>
    <li><a href="<?=$baseURL?>" title="<?=$lang->t("Info page")?>"><?=$lang->t("Info")?></a></li>
    <?if($_pc->isEnabled()){?>
    <?if($_pc->hasFrontend()){?>
    <li><a href="<?=$baseURL.($_useModRewrite?"?":"&amp;")?>main=1" title="<?=$lang->t("Plugin frontend")?>"><?=$lang->t("Frontend")?></a></li>
    <?}?>
    <?if($_pc->hasBackend()){?>
    <li><a href="<?=$baseURL.($_useModRewrite?"?":"&amp;")?>backend=1" title="<?=$lang->t("Plugin backend")?>"><?=$lang->t("Backend")?></a></li>
    <?}?>
    <li>
     <?if($modules){?>
      <?=$lang->t("Modules")?>
      <ul><?
       foreach($modules as $module => $title)
       {
        ?><li><a href="<?=$baseURL.($_useModRewrite?"?":"&amp;")?>m=<?=$module?>" title="Show <?=$title?>"><?=$title?></a></li><?
       }
      ?>
      </ul>
     <?}else{?>
      <?=$lang->t("No modules")?>
     <?}?>
    </li>
    <?}?>
   </ul></div>
   <div class="footer"><?=$lang->t("Enabled")?>:
    <?if(!$_pc->isEnabled()){?>
     <a href="<?=$baseURL.($_useModRewrite?"?":"&amp;")?>enable=1" title="<?=$lang->t("Enable plugin")?>"><?=icon("pluginDisabled")?></a>
    <?}else{?>
     <a href="<?=$baseURL.($_useModRewrite?"?":"&amp;")?>enable=0" title="<?=$lang->t("Disable plugin")?>"><?=icon("pluginEnabled")?></a>
    <?}?>
   </div>
  <?

  if($_main=="backend"&&$_pc->isEnabled()&&$_pc->hasBackend())
  {
   if(($output=$_pc->backendOutput("control"))===false)
    $output=$_pc->e->show();

   if($output)
   {
   ?>
    <h3><?=$_pc->title?></h3>
    <div class="text">
    <?=$output?>
    </div>
    <div class="footer">&nbsp; </div>
   <?
   }
   unset($output);
  }

  unset($_pc);
 }

 require($_jasPath["project"]["include"]."switch.php"); //default
?>
