<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/plugins/main.main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."plugin.php");
 require_once($_path["include"]."data.php");
 require_once($_path["include"]."form.php");

 if(!$_p->isEnabled())
 {
  $e->add("Plugin is disabled");
  ?><h1><?=$_p->name?> plugin</h1><?
  print $e->show();
 }
 else
 {
  ?>
   <h1><?=$_p->title?> plugin</h1>
   <div class="pluginMain <?=$_p->name?>">
  <?

  $d=new Data("pluginConfigs", "view", "all");
  $d->setValue("plugin", $_p->name);

  if($d->get())
  {
   $tmp=Array("");
   while($d->next())
    $tmp[]=$d->v["key"];

   $f=new Form();
   print $f->start();
   print $f->input("hidden", "main", 1);

   if(!$_useModRewrite)
   {
    print $f->input("hidden", "p[]", $_page[0]);
    print $f->input("hidden", "p[]", $_page[1]);
   }

   ?>
    <div class="field"><div class="title">Configuration</div><div class="input">
     <?=$f->select(false, "config", $tmp, $config, false, false, "onchange=\"this.form.submit();\"");?>
    </div></div>
   <?
   print $f->end();

   unset($f, $tmp);
  }
  unset($d, $config);

  if(($output=$_p->output())===false)
   $output=$_p->e->show();

  print $output;
  unset($output);

  ?></div><?
 }

?>
