<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/sync/convert/main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require($_jasPath["project"]["include"]."switch.php"); //currentProject, needed for reading module tree

 ?><h1>Convert</h1><?

 if($e->any())
  print $e->show();

 $f=new Form();
 
 print $f->start();
 print $f->input("hidden", "cms", 0);

 if(!$_useModRewrite)
 {      
  print $f->input("hidden", "p[]", $_page[0]);
  print $f->input("hidden", "p[]", $_page[1]);
 }      

 $cms=new CMS();
 $cms->setDataForm($dSync, $f);

 foreach($dSync->check("use", "form") as $k)
  print $cms->field($k);

 if(request("_sourceModule")&&request("_targetModule"))
 {
  ?>
   <div class="field">
    <div class="title">Submit</div>
    <div class="input">
     <?=$f->input("submit", "analyze", "Analyze", "form submit")?>
     <?=$f->input("submit", "s", "Synchronize", "form submit")?>
    </div>
   </div>
  <?
 }

 if(request("analyze"))
 {
  ?>
   <h2>Examples</h2>
   <table class="overview sync">
    <tr>
    <?foreach($targetFields as $field => $title){?>
     <th class="<?=$field?>"><?=$title?></th>
    <?}?>
    </tr>
  <?

  while($ds->next())
  {
   ?>
   <tr>
   <?foreach(array_keys($targetFields) as $field){?>
    <td class="<?=$dt->field[$field]["type"]?>"><?=(isset($ds->v[$dSync->getValue($field)])?$ds->v[$dSync->getValue($field)]:"")?></td>
   <?}?>
   </tr>
  <?}?>
  <tr class="total">
   <th><?=$lang->t("Total")?></th>
   <th colspan="<?=(sizeof($targetFields)-1)?>"><?=$ds->getValue("show_count")?></th>
   </tr>
  </table><?
 }

 print $f->end();

 require($_jasPath["project"]["include"]."switch.php"); //default
?>
