<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/system/config/control.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


?>
<h3><?=$lang->t("Configurations")?></h3>
<div class="text"><ul>
<?
 require($_jasPath["project"]["include"]."switch.php"); //currentProject

 $multiConfigs=Array("configModules", "configFields", "configRepositories", "configSites");

 $modules=Array();
 foreach(modules() as $module)
  if(strpos($module, "config")===0) 
   $modules[]=$module;

 if($_useModRewrite)
  $url=$baseURL."?";
 else
  $url=$baseURL."&amp;";

 foreach($modules as $module)
 {
  $d=new Data($module, "view", "all");
  $d->setShowFields($d->check("properties", "title"));

  if(!$d->e->any("fatal")&&$d->get())
  {
   print "<li>".$d->title."\n";
   if(in_array($d->module, $multiConfigs)||$d->vmax==0)
    print "<a href=\"".$url."m=".$d->module."&amp;cms=true&amp;a=add&amp;e=item\" title=\"Add ".$d->title."\">".icon("add", $d->module)."</a>\n";

   print "<ul>\n";

   while($d->next())
   {
    print "<li>";
    print " <a href=\"".$url."m=".$d->module."&amp;nr=".$d->v("id")."\" title=\"".$d->v("title")."\">".$d->v("title")."</a>";
    print "</li>\n";
   }

   print "</ul>\n</li>\n";
  }
 }
?>
</ul></div>
<div class="footer">
 <a href="<?=$url?>reloadConfig=true" title="<?=$lang->t("Reload configuration", false, $language)?>"><?=$lang->t("Reload configuration", false, $language)?></a>
 <?if(isset($_config["cache"])&&isset($_config["cache"]["memory"])&&$_config["cache"]["memory"]&&$_config["cache"]["memoryCacheData"]){?>
 <br/><a href="<?=$url?>clearMemoryCacheData=true" title="<?=$lang->t("Clear data objects memory cache", false, $language)?>"><?=$lang->t("Clear data cache", false, $language)?></a>
 <?}?>
</div>

<?if($_config["repositories"]&&$_config["rootnr"]==$_config["usernr"]){?>
<h3><?=$lang->t("Online repositories")?></h3>
<div class="text"><ul>
 <li><a href="<?=$url?>repository" title="<?=$lang->t("Search for new repositories", false, $language)?>"><?=$lang->t("Search for new repositories", false, $language)?></a></li>
</ul></div>
<div class="footer"></div>
<?}?>

<?
 require($_jasPath["project"]["include"]."switch.php"); //default
?>
