<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/system/setup/database.logic.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 $dbfile=preg_replace("!/jas/!", "/".$_jses["setup"]["project"]."/", $_path["project"]["include"])."db.conf.php";

 if(request("skip"))
 {
  $skip=true;
  $next=true;
 }
 else if(file_exists($dbfile))
 {
  $e->add("Database configuration: \"".$dbfile."\" exists", "note");
  $e->add("Remove this file to reconfigure the database or click next to continue", "note");
  $skip=true;
  $next=true;
 }
 else if($type=request("type"))
 {
  if($type=="mysql")
  {
   if(
     ($server=request("server"))&&($rootuser=request("rootuser"))&&($rootpass=request("rootpass"))&&
     ($projectdatabase=request("projectdatabase"))&&($projectuser=request("projectuser"))&&($projectpass=request("projectpass"))
    )
   { 
    //add error checking on input 
    $host=explode(":", $server);
    if($host[0]=="localhost"||gethostbyname($host[0])==$_SERVER["SERVER_ADDR"])
     $connectFrom="localhost";
    else
     $connectFrom=$_SERVER["SERVER_ADDR"];

    if(!($dbcon=@mysql_connect($server, $rootuser, $rootpass)))
     $e->add("Unable to connect to the database", "error");
    else 
    {
     if(!mysql_select_db($projectdatabase, $dbcon)) //db doesn't exist
     {
      if(!mysql_query("CREATE DATABASE ".$projectdatabase.";", $dbcon)) 
       $e->add("Could not create database: \"".$projectdatabase."\"", "error");
      else
      {
       $e->add("Database: \"".$projectdatabase."\" created", "note");
      }
     }
     else
      $e->add("Database: \"".$projectdatabase."\" already exists", "note");

     if(!$e->any("error"))
     {
      mysql_select_db("mysql", $dbcon);
      
      $mysqlpass=join('', mysql_fetch_assoc(mysql_query("SELECT PASSWORD(\"".$projectpass."\");", $dbcon))); //convert password

      $dbres=mysql_query("SELECT password FROM mysql.user WHERE user=\"".$projectuser."\" AND host=\"".$connectFrom."\";", $dbcon);
      if($dbres&&($row=mysql_fetch_assoc($dbres))) //try to find user
      {
       if($row["password"]==$mysqlpass)
        $e->add("User already exists", "note");
       else
        $e->add("User exists but passwords don't match", "error");
      }
      else
      {
       if(mysql_query("CREATE USER \"".$projectuser."\"@\"".$connectFrom."\" IDENTIFIED BY \"".$projectpass."\";", $dbcon)) 
        $e->add("User: \"".$projectuser."@".$connectFrom."\" created successfully", "note");
       else
        $e->add("Unable to create user: \"".$projectuser."@".$connectFrom."\"", "error");
      }

      if(!$e->any("error"))
      {
       if(
        mysql_query("GRANT USAGE ON *.* TO \"".$projectuser."\"@\"".$connectFrom."\" IDENTIFIED BY \"".$projectpass."\";", $dbcon)
        &&
        mysql_query("GRANT SELECT, INSERT, UPDATE, DELETE, CREATE, ALTER, INDEX ON `".$projectdatabase."`.* TO \"".$projectuser."\"@\"".$connectFrom."\";", $dbcon)
       ) 
        $e->add("Permissions on database: \"".$projectuser."\" for user: \"".$projectuser."@".$connectFrom."\" successfully set", "note");
       else
        $e->add("Unable to set permissions on database: \"".$projectdatabase."\" for user: \"".$projectuser."@".$connectFrom."\"", "error");
      }
      mysql_select_db($projectdatabase, $dbcon);
     }
    }

    if($dbcon)
     mysql_close($dbcon);

    unset($dbcon, $dbres);

    if(!$e->any("error"))
    {
     $dbconf='<?
 $db["default"]["type"]="mysql";
 $db["default"]["host"]="'.$server.'";
 $db["default"]["user"]="'.$projectuser.'";
 $db["default"]["pass"]="'.$projectpass.'";
 $db["default"]["name"]="'.$projectdatabase.'";
?>';
    }
   }
  }
  else if($type=="xml")
  {
   if($directory=request("directory"))
   {
    if(!file_exists($directory))
     $e->add("XML directory: \"".$directory."\" doesn't exist", "error");
    else if(!is_dir($directory))
     $e->add("XML directory: \"".$directory."\" isn't a directory", "error");
    else
    {
     if(!is_readable($directory))
      $e->add("XML directory: \"".$directory."\" isn't readable", "error");
     if(!is_writable($directory))
      $e->add("XML directory: \"".$directory."\" isn't writable", "error");
    }

    if(!$e->any("error"))
    {
     $dbconf='<?
 $db["default"]["type"]="xml";
 $db["default"]["directory"]="'.$directory.'";
?>';
    }
   }
  }

  if(isset($dbconf)&&!$e->any("error"))
  {
   if(@file_put_contents($dbfile, $dbconf))
   {
    $e->add("Database configuration: \"".$dbfile."\" written successfully", "note");
    $next=true;
   }
   else
    $e->add("Unable to write database configuration: \"".$dbfile."\"", "error");
  }
 }
 else
  $e->add("Please provide the following database information", "note");

 if(!isset($type)||$type===false)
  $type="mysql";
 if(!isset($server)||$server===false)
  $server="localhost:3306";
 if(!isset($rootuser)||$rootuser===false)
  $rootuser="root";
 if(!isset($rootpass)||$rootpass===false)
  $rootpass="";
 if(!isset($projectdatabase)||$projectdatabase===false)
  $projectdatabase=$_jses["setup"]["project"];
 if(!isset($projectuser)||$projectuser===false)
  $projectuser=$_jses["setup"]["project"];
 if(!isset($projectpass)||$projectpass===false)
  $projectpass="";
 if(!isset($directory)||$directory===false)
  $directory=preg_replace("!/jas/!", "/".$_jses["setup"]["project"]."/", $_path["project"]["include"])."data/";

?>
