

 /*****************************************************************************
 * Filename: project/jas/script/navigation.js
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


function animateNavigation()
{
 if(!(navigation=document.getElementsByClassName("navigation")[0]))
  return false;

 l1=navigation.childNodes;

 x=0;
 for(c=0;c<l1.length;c++)
 {
  if(l1[c].tagName!=undefined&&l1[c].tagName.match(/li/i))
  {
   if((list=l1[c].getElementsByTagName("ul")[0])!=undefined)
   {
    list.style.display="block";
    list.style.overflow="hidden";

    l1[c].flash=new Flash(list);
    l1[c].flash.resize(l1[c].flash.width,0,0);
    l1[c].flash.go();
  
    l1[c].listID=x++;
    l1[c].status="closed";
    l1[c].onmouseover=navigationMove;
    l1[c].onmouseout=navigationMove;
   }
   else
   {
    l1[c].onmouseover=function(){navigationCloseAll(-1);};
    l1[c].onmouseout=function(){navigationCloseAll(-1);};
   }
  }
 }
}

function navigationMove(event)
{
  
 if(!event)//clientX , clientY , fromElement , toElement , height , width , keycode , layerX , layerY , modifiers , offsetX , offsetY , pageX , pageY , reason , returnValue , screenX , screenY , srcElement , srcFilter , target , type , which , x, y 
  event=window.event;

 if(event.type=="mouseover")
 {
  if(this.status=="open"||this.status=="opening")
   return;
  else if(this.status=="closing")
  {
   this.status="open";
   return;
  }

  navigationCloseAll(this.listID);

  this.status="opening";
  e=this.flash.resize(this.flash.width,this.flash.height); 
  this.flash.opacity(90,200,e); 
  this.flash.decelerate(e); 
  this.flash.end("navigationStatus("+this.listID+", \"open\");");
  this.flash.go();
 }
 else
 {
  if(this.status=="open"||this.status=="opening")
  {
   this.status="closing";
   setTimeout("navigationClose("+this.listID+");", 500);
  }
 }
}

function navigationCloseAll(listID)
{
 all=document.getAllElements();

 for(c=0;c<all.length;c++)
 {
  if(all[c].listID!=undefined&&all[c].listID!=listID)
  {
   if(all[c].status!="closed")
   {
    all[c].status="closing";
    navigationClose(all[c].listID);
   }
  }
 }
}

function navigationClose(listID)
{
 list=false;
 all=document.getAllElements();

 for(c=0;c<all.length;c++)
 {
  if(all[c].listID!=undefined&&all[c].listID==listID)
  {
   list=all[c];
   break;
  }
 }

 if(list.status=="closing")
 {
  e=list.flash.resize(list.flash.width,0);
  list.flash.opacity(0,100,e); 
  list.flash.accelerate(e); 
  list.flash.end("navigationStatus("+list.listID+", \"closed\");");
  list.flash.go();
 }
}
function navigationStatus(listID, status)
{
 list=false;
 all=document.getAllElements();

 for(c=0;c<all.length;c++)
 {
  if(all[c].listID!=undefined&&all[c].listID==listID)
  {
   list=all[c];
   break;
  }
 }

 list.status=status;

}
