<?

 /*****************************************************************************
 * Filename: xmlrequest.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
  <title>JAS XML interface tester</title>
  <style>
   body
   {
    font-size: 8pt;
    font-family: verdana;
   }
   ul
   {
    list-style-type: decimal;
    margin: 0px 0px 0px 50px;
    padding: 0px;
   }
   form textarea,
   form input
   {
    float: left;
    vertical-align: top;
   }
  </style>

  <script type="text/javascript">
   function setXML(type)
   {
    var xml="";
    switch(type)
    {
     case "language":
     {
      xml="&lt;language set=\"modules\" language=\"nl\" /&gt;";
      break;
     }
     case "projects":
     {
      xml="&lt;projects /&gt;";
      break;
     }
     case "modules":
     {
      xml="&lt;modules /&gt;";
      break;
     }
     case "module":
     {
      xml="&lt;modules &gt;&lt;module name=\"categories\" /&gt;&lt;/modules&gt;";
      break;
     }
     case "data":
     {
      xml="&lt;data module=\"categories\" action=\"view\" extra=\"all\" format=\"text\" /&gt;";
      break;
     }
     default: break;
    }

    xml="&lt;?xml version=\"1.0\" encoding=\"ISO-8859-1\"?&gt;\n&lt;jas version=\"1.0\"&gt;\n "+xml+"\n&lt/jas&gt;";
    document.getElementById("xml").innerHTML=xml;
   }
  </script>
 </head>

 <body>
 <form action="xmlrequest.php">
  <textarea name="xml" id="xml" style="width: 600px; height: 400px;"><?=(isset($_REQUEST["xml"])?$_REQUEST["xml"]:"")?></textarea>
  <input type="submit" value="Language" onclick="setXML('language')" />
  <input type="submit" value="Projects" onclick="setXML('projects')" />
  <input type="submit" value="Modules" onclick="setXML('modules')" />
  <input type="submit" value="Module" onclick="setXML('module')" />
  <input type="submit" value="Data" onclick="setXML('data')" />
  <br/><br/><input type="submit" value="Submit"/>
 </form>
 <br style="clear: both;" />
 <?

 $_path["root"]="";
 require($_path["root"]."include.php");

 //hack for JAS project, switch to correct jses+path
 if($_jses["project"]=="jas"&&isset($_jses["currentProject"])&&$_jses["currentProject"]!="jas")
 {
  $_jasPath=$_path;
  require($_jasPath["project"]["include"]."switch.php"); //currentProject
 }

 require_once($_path["include"]."xmli.php");

 $xmli=new XMLiServer();
 $xmli->handle((isset($_REQUEST["xml"])?$_REQUEST["xml"]:""));
 print $xmli->display();

 ?>
 </body>
</html>
