<?

 /*****************************************************************************
 * Filename: include/modules/notes.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Module_notes extends Module
 {
  function init(&$data)
  {
   Module::init($data);

   $this->data->title=$this->data->l->t("Note");
   $this->data->addField("name", "text", "all", "title", 1, 25, false, "Title");
   $this->data->addField("text", "text", "all", false, 0, 65536, false, "Note");

   $this->data->addFullTextIndex("fulltext", "name", "text");

   $this->data->defaultFields();
   $this->data->sortOrder("name");
   $this->data->group("Note", "name", "text");
  }
 }
?>
