<?

 /*****************************************************************************
 * Filename: include/modules/onlineRepositories.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");
 require_once($_path["modules"]."configRepositories.php");

 class Module_onlineRepositories extends Module_configRepositories
 {
  function init(&$data)
  {
   parent::init($data);

   $this->data->title=$this->data->l->t("Online repositories");

   $this->data->addField("maintainerName", "title", "all", "", 5, 50, false, "Name");
   $this->data->addField("maintainerEmail", "email", "all", "", 5, 50, false, "Email");

   unset($this->data->field["nr"]);
   $this->data->defaultFields();

   $this->data->group("Maintainer", "maintainerName", "maintainerEmail");
  }

 }
?>
