<?

 /*****************************************************************************
 * Filename: include/modules/pluginDependencies.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Module_pluginDependencies extends Module
 {
  function init(&$data)
  {
   global $_path;

   Module::init($data);

   $this->data->title=$this->data->l->t("Plugin dependencies");
   
   $this->data->addField("plugin", "plugin", "all", "title", 1, 25, false, "Plugin name");
   $this->data->addField("version", "version", "all", "singleField", 0, false, false, "Version");
   $this->data->addField("required", "boolean", "all", false, false, false, false, "Required");

   $this->data->addUnique("plugin", "plugin");
  }
 }
?>
