<?

 /*****************************************************************************
 * Filename: include/plugins/content/content.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 class content extends BasePlugin
 {
  function output()
  {
   $output="";

   if($this->plugin->config)
   {
    if($this->plugin->config["wrappertag"])
     $output.="<".$this->plugin->config["wrappertag"].($this->plugin->config["wrapperclass"]?" class=\"".$this->plugin->config["wrapperclass"]."\"":"").">\n";

    if($this->plugin->config["titletag"])
     $output.="<".$this->plugin->config["titletag"].($this->plugin->config["titleclass"]?" class=\"".$this->plugin->config["titleclass"]."\"":"").">".$this->plugin->config["title"]."</".$this->plugin->config["titletag"].">\n";
    else
     $output.=$this->plugin->config["title"]."\n";

    if($this->plugin->config["subtitletag"])
     $output.="<".$this->plugin->config["subtitletag"].($this->plugin->config["subtitleclass"]?" class=\"".$this->plugin->config["subtitleclass"]."\"":"").">".$this->plugin->config["subtitle"]."</".$this->plugin->config["subtitletag"].">\n";
    else
     $output.=$this->plugin->config["subtitle"]."\n";

    if($this->plugin->config["contenttag"])
     $output.="<".$this->plugin->config["contenttag"].($this->plugin->config["contentclass"]?" class=\"".$this->plugin->config["contentclass"]."\"":"").">".$this->plugin->config["content"]."</".$this->plugin->config["contenttag"].">\n";
    else
     $output.=$this->plugin->config["content"]."\n";

    if($this->plugin->config["wrappertag"])
     $output.="</".$this->plugin->config["wrappertag"].">\n";
   }

   return $output;
  }
 }
?>
