<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/ut/storage.xmli.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["plugins"]."unit_testing/ut/storage.php");
 require_once($_path["include"]."storage/xmli.php");
 require_once($_path["include"]."data.php");

 class UT_Storage_XMLi extends UT_Storage
 {
  function Constructor()
  {
   $d=new Data();
   $object=new xmliStorage($d);

   if(!is_object($object)||get_class($object)!="xmliStorage")
   {
    $this->e->add("Constructor doesn't return a xmliStorage object", "error");
    return UT_FAILED;
   }

   if(!is_object($object->e)||get_class($object->e)!="Error")
   {
    $this->e->add("Object: \"e\" isn't an Error object", "error");
    return UT_FAILED;
   }

   return UT_OK;
  }

  function _init()
  {
   global $_path;

//   $this->_db="xmli://".$_SERVER["HTTP_HOST"]."/".$_path["HTML"]["root"]."/#secure";
   $this->_db="xmli://".$_SERVER["HTTP_HOST"]."/".$_path["HTML"]["root"]."/";

   return true;
  }

  function TableExists()
  {
   if(!$this->_init())
    return UT_FAILED;

   $d=new Data("categories", "view", "all", Array("skipCheckTables" => true, "db" => $this->_db));
   $s=new xmliStorage($d);

   if(!$s->table())
   {
    $this->e->add($s->e);
    return UT_FAILED;
   }

   return UT_OK;
  }

 }

?>
