<?

 /*****************************************************************************
 * Filename: include/rewrite.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 if($_config["useModRewrite"]) 
 {
  $relativePath=$_path["HTML"]["url"];

  if(strlen($_path["HTML"]["current"])>1) //get relative path 
   $relativePath=preg_replace("!".$_path["HTML"]["current"]."!", "", $relativePath); //strip root path

  if($relativePath)
  {
   if(strlen($relativePath)==1&&$relativePath[0]=="/") // "/"
    $relativePath=""; //root
   else if($relativePath[0]=="/") //leading "/"
    $relativePath=preg_replace("!^/(.+/)[^/]*$!", "\\1", $relativePath); //remove leading "/" and script file
   else
    $relativePath=preg_replace("![^/]*$!", "\\1", $relativePath); //remove script file
  }

  $_path["HTML"]["relative"]=$relativePath;
  $_path["HTML"]["prefix"]=str_repeat("../", substr_count($relativePath, "/"));

  unset($relativePath);
 }
?>
