<?

 /*****************************************************************************
 * Filename: project/jas/include/modules/test.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Module_test extends Module
 {
  function init(&$data)
  {
   Module::init($data);

   global $_config;

   $this->data->title=$this->data->l->t("Test 1");

   $this->data->addField("name", "title", "all;login", "title", 3, 15, false, "Name test 1");

   $this->data->addField("testnr", "nr", "form;show;sql", "", 1, false, 0);

   $this->data->defaultFields();

   $this->data->addReference("testm2m", "testTwo", "nr", "*:*", "nr");
   $this->data->addReference("mto1", "testTwo", "nr", "*:1", "testnr");
   $this->data->addReference("1tom", "testTwo", "testnr2", "1:*", "nr");
   $this->data->addReference("1to1", "testTwo", "nr", "1:1", "nr");

   $this->data->sortOrder("name");
  }

 }
?>
