<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/sync/import/main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require($_jasPath["project"]["include"]."switch.php"); //currentProject
 ?>
 <h1>Import</h1>
<?
 if($e->any())
  print $e->show();

 $f=new Form();
 print $f->start();
 
 if(!$_useModRewrite)
 {      
  print $f->input("hidden", "p[]", $_page[0]);
  print $f->input("hidden", "p[]", $_page[1]);
 }      

 ?>
 <div class="field">
  <div class="title">Method</div>
  <div class="input">
   <?
    foreach(array_keys($methods) as $m)
    {
     if($method==$m)
      print $f->radio(true, $methods[$m], "import[method]", $m);
     else
      print $f->radio(false, $methods[$m], "import[method]", $m);
    }
   ?>
  </div>
 </div>

 <div class="field">
  <div class="title">File</div>
  <div class="input">
  <?
   print $f->input("file", "import[file]");
  ?>
  </div>
 </div>

 <div class="field">
  <div class="title">Text</div>
  <div class="input">
  <?
   print $f->input("textarea", "import[text]", (isset($input)?$input:""), "form import", false, "wrap=\"off\"");
  ?>
  </div>
 </div>

 <?  
  $plugin=false;
  $modules=Array();
  $moduleTypes=Array("Plugins", "Project", "System");
  foreach($moduleTypes as $type)
  { 
   ?>
   <div class="field">
   <div class="title"><?=$lang->t($type)?> modules</div>
    <div class="input">
   <?
   foreach(modules(strtolower($type)) as $module)
   {  
    if(!in_array($module, $modules))
    { 
     $d=Data::cache($module, "view", "all", Array("skipCheckTables" => true, "skipSetRequest" => true, "skipPostInit" => true));
     
     if($d->tableExists())
     {
      $modules[]=$d->module;
      
      if($d->plugin&&$plugin!=$d->plugin->name)
      {
       if($plugin)
        print "<br/>";
    
       $d->plugin->readInfo();
       $plugin=$d->plugin->name;

       print $d->plugin->title."<br/>";
      }

      print $f->checkbox(in_array($d->module, $importModules), $d->title, "import[modules][]", $d->module)."<br/>\n";
     }
    }
   }
   ?>
   </div>
  </div>
  <?
  }
  unset($moduleTypes, $type, $module);
 ?>

 <div class="field">
  <div class="title">Submit</div>
  <div class="input">
 <?
   print $f->input("submit", "import[analyze]", "Analyze", "form submit");
   print $f->input("submit", "import[submit]", "Import", "form submit");
 ?>
  </div>
 </div>

 <div class="separator">&nbsp; </div>
<?
 print $f->end()."\n";
 unset($f);

 require($_jasPath["project"]["include"]."switch.php"); //default
?>
