<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/sync/syncData/control.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."form.php");
 require_once($_path["include"]."cms.php");

 require($_jasPath["project"]["include"]."switch.php"); //currentProject, needed for reading module tree

 $f=new Form();
 $ds=new Data("syncSettings", "view", "all");

 if($_useModRewrite)
  $urlDatabase=$_path["HTML"]["root"]."system/database/?";
 else
  $urlDatabase=$_path["HTML"]["root"]."?p[]=system&amp;p[]=database&amp;";

 if($ds->e->any("fatal"))
 {?>
  <h3><?=$ds->title?></h3>
  <div class="text">
   <?=$ds->e->show("fatal");?> 
  </div>
   <div class="footer"><a href="<?=$urlDatabase?>modules[<?=$ds->module?>]=create" title="<?=$lang->t("Create table")?>: <?=$ds->title?>"><?=$lang->t("Create table")?></a></div>
 <?
 }
 else
 {
  $cms=new CMS();
  $cms->setDataForm($ds, $f);
  $cms->addVar("cms", "true");

  if(!$_useModRewrite)
  {      
   print $cms->addVar("p[0]", $_page[0]);
   print $cms->addVar("p[1]", $_page[1]);
  }      
 ?>
 <h3><?=$ds->title?></h3>
 <div class="text">
  <?=$cms->simpleForm(false, "onchange='this.form.cms.value=\"\"; this.form.submit();'")?>
 </div>

 <div class="footer">&nbsp; </div>
 <?
 }

 require($_jasPath["project"]["include"]."switch.php"); //default
 unset($cms, $ds, $f);

?>
