<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/system/setup/dirs.logic.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 $required=Array("root", "include");
 $dirs=Array();
 foreach($_path["project"] as $k => $dir)
 {
  $dirs[$k]=preg_replace("!/jas/!", "/".$_jses["setup"]["project"]."/", $dir);

  if($k=="include")
   $dirs["data"]=$dirs[$k]."data/";
 }
 
 if(request("create"))
 {
  if(request("dirs"))
   $create=array_merge($required, request("dirs"));
  else
   $create=$required;

  foreach($create as $k)
  {
   if(isset($dirs[$k])&&!file_exists($dirs[$k]))
   {
    if(!@mkdir($dirs[$k], 0755))
     $e->add("Can't create \"".$k."\" directory", "error");  
   }
  }

  if(!$e->any("error"))
   $e->add("Directories created successfully", "note");  

  if(
   $dirs["include"]&&file_exists($dirs["include"])&&
   !file_exists($dirs["include"].".htaccess")&&file_exists($_path["include"].".htaccess")
  ) //add .htaccess file to project include dir
  {
   if(!@copy($_path["include"].".htaccess", $dirs["include"].".htaccess"))
    $e->add("Unable to copy: \"".$_path["include"].".htaccess\" to include directory: \"".$dirs["include"]."\"", "error");  
   else
    $e->add("Added \".htaccess\" to include directory: \"".$dirs["include"]."\"", "note");  
  }

  foreach($required as $dir)
   if(!file_exists($dirs[$dir]))
    $e->add("Directory: \"".$dir."\" needs to be created", "error");  
  
  if(!$e->any("error"))
   $next=true;
 }
 else
  $e->add("Select the directories you wish to create", "note");
?>
