<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/system/setup/logic.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 if(!isset($_jses["setup"]))
  $_jses["setup"]=Array("project" => "");

 $wizard=Array(
  "project" => $lang->t("Project selection"),
  "dirs" => $lang->t("Directory structure"),
  "database" => $lang->t("Database setup"),
  "modules" => $lang->t("Modules"),
  "config" => $lang->t("Configurations"),
  "data" => $lang->t("Initial data"),
  "done" => $lang->t("Done")
 );
 $steps=array_keys($wizard);

 if($_config["rootnr"]!=$_config["usernr"])
 {
  $step="";
  $e->add("System setup only available for root user", "error");
 }
 else
 {
  if(!$_jses["setup"]["project"]||!($step=request("step"))||!in_array($step, $steps))
   $step=$steps[0];

  $next=false;
  if(file_exists($_path["project"]["include"]."pages/system/setup/".$step.".logic.php"))
   require($_path["project"]["include"]."pages/system/setup/".$step.".logic.php");

  if($next) 
  {
   for($c=0;$c<(sizeof($steps)-1);$c++) 
   {
    if($steps[$c]==$step)
    {
     $step=$steps[++$c];
     break;
    } 
   }
   $next=false;

   if(file_exists($_path["project"]["include"]."pages/system/setup/".$step.".logic.php"))
    require($_path["project"]["include"]."pages/system/setup/".$step.".logic.php");
  }
 }
 
?>
