<?

 /*****************************************************************************
 * Filename: project/jas/include/pages/system/tests/main.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_jasPath["include"]."plugin.php");

 require($_jasPath["project"]["include"]."switch.php"); //currentProject
 if($_config["rootnr"]!=$_config["usernr"])
 {
  $e->add("System tests only available for root user", "error");
  ?>
   <h1><?=$lang->t("System tests")?></h1>
   <?=$e->show();?>
  <?
 }
 else
 {
  require($_jasPath["project"]["include"]."switch.php"); //default
  $ut=new Plugin("unit_testing");
  $ut->initClass();
  require($_jasPath["project"]["include"]."switch.php"); //currentProject

  $ut->main("list_tests", "UT_System", true);

  print $ut->output();
 }
 require($_jasPath["project"]["include"]."switch.php"); //default
?>
