

 /*****************************************************************************
 * Filename: script/cookies.js
 *
 * This file is part of the JAS project.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


//stolen from http://www.w3schools.com/js/js_cookies.asp

function getCookie(c_name)
{
 if(document.cookie.length>0)
 {
  c_start=document.cookie.indexOf(c_name + "=")
  if(c_start!=-1)
  { 
   c_start=c_start + c_name.length+1 
   c_end=document.cookie.indexOf(";",c_start)
   if (c_end==-1) c_end=document.cookie.length
   return unescape(document.cookie.substring(c_start,c_end))
  } 
 }
 return "";
}

function setCookie(name,value,expiredays)
{
 var today=new Date();
 var expire=new Date();

 if(expiredays==null| expiredays==0) 
  expiredays=0;

 expire.setTime(today.getTime()+3600000*24*expiredays);

 document.cookie=name+"="+escape(value)+";expires="+expire.toGMTString();
}
